| Home | Libraries | People | FAQ | More

## Struct template customize_stream<Ch, Traits, F, typename boost::enable_if< detail::is_inexact< F > >::type>

boost::property_tree::customize_stream<Ch, Traits, F, typename boost::enable_if< detail::is_inexact< F > >::type>

## Synopsis

    // In header: <boost/property_tree/stream_translator.hpp>

    template<typename Ch, typename Traits, typename F>
    struct customize_stream<Ch, Traits, F, typename boost::enable_if< detail::is_inexact< F > >::type> {

      // public static functions
      static void insert(std::basic_ostream< Ch, Traits > &, const F &);
      static void extract(std::basic_istream< Ch, Traits > &, F &);
    };

## Description

### `customize_stream` public static functions

1.     static void insert(std::basic_ostream< Ch, Traits > & s, const F & e);

2.     static void extract(std::basic_istream< Ch, Traits > & s, F & e);